Sisimai::Rhost(3pm)

NAME
Sisimai::Rhost - Detect the bounce reason returned from certain remote hosts.

SYNOPSIS
    use Sisimai::Rhost;

DESCRIPTION
"Sisimai::Rhost" detects the bounce reason from the content of "Sisimai::Fact" object as an argument of find() method when the value of "rhost" of the object is listed in $RhostClass variable. This class is called only "Sisimai::Fact" class.

CLASS METHODS

  "name(Sisimai::Fact Object)"
name() method returns the rhost class name.

  "find(Sisimai::Fact Object)"
find() method detects the bounce reason.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2020,2022-2026 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.